/*
Theme Name: Entrada do Bem (child)
Template: hello-elementor
Author: Lucas Pelhon
Version: 1.0
Description: Tema filho para personalizações seguras.
*/

/* Style related to checkout form customization */
.woocommerce-checkbox-group-options,
.woocommerce-radio-group-options {
    display: flex;
    flex-direction: column;
    gap: .1rem;
}

.layout-horizontal .woocommerce-checkbox-group-options,
.layout-horizontal .woocommerce-radio-group-options {
    flex-direction: row;
    flex-wrap: wrap;
    gap: 1rem;
}

.layout-grid .woocommerce-checkbox-group-options,
.layout-grid .woocommerce-radio-group-options {
    display: grid;
    gap: .5rem 1rem;
}

.layout-grid.columns-2 .woocommerce-checkbox-group-options,
.layout-grid.columns-2 .woocommerce-radio-group-options {
    grid-template-columns: repeat(2, 1fr);
}

.layout-grid.columns-3 .woocommerce-checkbox-group-options,
.layout-grid.columns-3 .woocommerce-radio-group-options {
    grid-template-columns: repeat(3, 1fr);
}

.layout-grid.columns-4 .woocommerce-checkbox-group-options,
.layout-grid.columns-4 .woocommerce-radio-group-options {
    grid-template-columns: repeat(4, 1fr);
}

.woocommerce form .woocommerce-checkbox-group,
.woocommerce form .woocommerce-radio-group {
    border: 0;
    margin: 0;
    padding: 0;
    min-inline-size: 0; /* evita alguns comportamentos estranhos em navegadores modernos */
}

.woocommerce-checkbox-group label,
.woocommerce-radio-group label {
    display: flex;
    align-items: center;
    gap: .1rem;
    cursor: pointer;
}

.woocommerce-checkbox-group legend,
.woocommerce-radio-group legend {
    display: block;
    width: 100%;
    font-weight: 600;
    margin-bottom: .5rem;
    padding: 0;
    color: var(--forms-labels-color,#69727d);
    font-size: 15px;
}

.woocommerce-billing-fields .form-row label,
.woocommerce-additional-fields .form-row label {
    font-weight: 600;
}

.woocommerce-additional-fields .form-row.featured {
    margin-top: 25px;
    margin-bottom: 25px;
    background-color: #F1F1F1;
    padding: 10px !important;
}

.woocommerce-help-text {
    display: block;
    margin-bottom: .75rem;
    font-size: 14px;
    font-style: italic;
}

/* Style related to checkout form customization */